#include "loops.h"


//--------------------------------------------------------------
void loops::setup(){
	 
	ofBackground(255,255,255);	
	
}

//--------------------------------------------------------------
void loops::update(){

}

//--------------------------------------------------------------
void loops::draw(){

	// ----------------------------------------------
	
	// the FOR STATEMENT
	
	// application counts from 0 to 19, draws 20 shapes
	// x-position of shape is based on current count in the loop (multiplication is used)
	// y-position is hardcoded (30)
	// starts at 0, at each step evaluates if value is less than circle count
	// if true, runs code in curly brackets
	// if false (completed loop), moves on to next part of draw() function

	int circleCount = 20;
	ofSetColor(0, 0, 0);

	for(int i=0; i<circleCount; i++){
	
		// calculate x-position
		int xPos = i*50+30;
	
		// draw shape
		ofCircle(xPos, 30, 20); 
	}
	
	
	// ----------------------------------------------
	
	// the WHILE STATEMENT
	
	// application evaluates code (draws rectangles) while statement is true
	// when no longer true, stops drawing and moves on to next part of draw() function
	
	int squareCount = 20;
	int squareNumber = 0;
	
	while(squareNumber < squareCount){
	
		ofRect(squareNumber*50+30, 130, 20, 20); 
	
		squareNumber++;
	}
	
	// ----------------------------------------------
	
	// the DO-WHILE STATEMENT
	
	// like the while statement (above), but completes each step before testing if statement is true
	
	squareNumber = 0;
	
	do {
	
		int redAmt = squareNumber * 10;
		
		ofSetColor(redAmt, 0, 0);
	
		ofRect(squareNumber*50+30, 230, 20, 20); 
		squareNumber++;
	
	} while (squareNumber < squareCount);
	
}

//--------------------------------------------------------------
void loops::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void loops::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void loops::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void loops::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void loops::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void loops::mouseReleased(){
}
