#include "variables.h"
#include <iostream.h>

//--------------------------------------------------------------
void variables::setup(){

	// create an varaible (type interger) called amount
	int amount;
	
	// assign value of 25 to amount
	amount = 25;
	
	// create variables (type float) called redAmount, greenAmt, blueAmount and assign values
	float redAmt = 220;
	float greenAmt = 12;
	float blueAmt = 20; 
	
	// variables can be be used in functions (more on functions later)
	// nice red, isn't it?
	ofBackground(redAmt, greenAmt, blueAmt);
	
	// global variables can be updated, see the update() function
	circleX = 20;
	
	// other variable types
	
	// long ranges from -2147483648 to 2147483647
	long bigInteger = 200000000; 
	
	// char ranges from -128 to 127
	char character = 22; 
	
	// unsigned char ranges from 0 to 255
	unsigned char anotherChar = 220; 
	
	// short int ranges from -32768 to 32767
	short shortInt = 2000; 
	
	// fyi
	// float ranges from 
	// int ranges from -2147483648 to 2147483647
	
	// the above varaibles are local variables (created and used only in the function
	// we can also have global variables, which are declared in variables.h
	// let's set those global varaibles to an initial value (they are updated in mouse pressed)
	
	mouseX = 100;
	mouseY = 100;
	
	// we've also got char (for character)
	
	char myChar[] = "c";
	
	// and strings:
	
	// a local string
	string hello("click on the screen");
	
	// a global string
	myString = "click anywhere on the screen";
	
	// load font for drawing at size 20
	verdana.loadFont("verdana.ttf", 20);
}

//--------------------------------------------------------------
void variables::update(){

	// update the global variable, increment the position by one each frame
	circleX = circleX + 1;
	
	// if the position is off frame, set it back to 0
	if(circleX > 1024){
	
		circleX = 0;
	}
}

//--------------------------------------------------------------
void variables::draw(){

	// draw a circle based on the mouseX and mouseY values
	
	// set color
	ofSetColor(255, 255, 255);
	
	// draw the circle
	ofCircle(mouseX, mouseY, 100);
	
	// draw another circle
	ofCircle(circleX, 255, 50);
	
	// set color again
	ofSetColor(0, 0, 0);

	// draw myString ("click anywhere on the screen");
	verdana.drawString(myString, 20, 730);
}

//--------------------------------------------------------------
void variables::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void variables::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void variables::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void variables::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void variables::mousePressed(int x, int y, int button){

	// assign new values to mouseX and mouseY, based on info from function arguments
	mouseX = x;
	mouseY = y;
}

//--------------------------------------------------------------
void variables::mouseReleased(){
}
